VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::BootTypes::UpdateSpec Class Reference

The `Boot.UpdateSpec` class describes the updates to the settings used when booting a virtual machine. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.BootTypes.Type | Get_Type ()
| Firmware type to be used by the virtual machine.
void | SetType (vmware.vcenter.vm.hardware.BootTypes.Type type)
| Firmware type to be used by the virtual machine.
bool | GetEfiLegacyBoot ()
| Flag indicating whether to use EFI legacy boot mode.
void | SetEfiLegacyBoot (bool?efiLegacyBoot)
| Flag indicating whether to use EFI legacy boot mode.
vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol | GetNetworkProtocol ()
| Protocol to use when attempting to boot the virtual machine over the network.
void | SetNetworkProtocol (vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol networkProtocol)
| Protocol to use when attempting to boot the virtual machine over the network.
long | GetDelay ()
| Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on.
void | SetDelay (long?delay)
| Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on.
bool | GetRetry ()
| Flag indicating whether the virtual machine should automatically retry the boot process after a failure.
void | SetRetry (bool?retry)
| Flag indicating whether the virtual machine should automatically retry the boot process after a failure.
long | GetRetryDelay ()
| Delay in milliseconds before retrying the boot process after a failure; applicable only when Boot.Info.retry is true.
void | SetRetryDelay (long?retryDelay)
| Delay in milliseconds before retrying the boot process after a failure; applicable only when Boot.Info.retry is true.
bool | GetEnterSetupMode ()
| Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots.
void | SetEnterSetupMode (bool?enterSetupMode)
| Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Boot.UpdateSpec` class describes the updates to the settings used when booting a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.BootTypes.Type vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::Get_Type | ( |  | ) | `[inline]`

Firmware type to be used by the virtual machine.

long vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetDelay | ( |  | ) | `[inline]`

Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on.

This delay may be used to provide a time window for users to connect to the virtual machine console and enter BIOS setup mode.

bool vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetEfiLegacyBoot | ( |  | ) | `[inline]`

Flag indicating whether to use EFI legacy boot mode.

bool vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetEnterSetupMode | ( |  | ) | `[inline]`

Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots.

Note that this flag will automatically be reset to false once the virtual machine enters setup mode.

override int vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetNetworkProtocol | ( |  | ) | `[inline]`

Protocol to use when attempting to boot the virtual machine over the network.

bool vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetRetry | ( |  | ) | `[inline]`

Flag indicating whether the virtual machine should automatically retry the boot process after a failure.

long vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::GetRetryDelay | ( |  | ) | `[inline]`

Delay in milliseconds before retrying the boot process after a failure; applicable only when Boot.Info.retry is true.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetDelay | ( | long? | delay | ) | `[inline]`

Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on.

This delay may be used to provide a time window for users to connect to the virtual machine console and enter BIOS setup mode.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetEfiLegacyBoot | ( | bool? | efiLegacyBoot | ) | `[inline]`

Flag indicating whether to use EFI legacy boot mode.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetEnterSetupMode | ( | bool? | enterSetupMode | ) | `[inline]`

Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots.

Note that this flag will automatically be reset to false once the virtual machine enters setup mode.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetNetworkProtocol | ( | vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol | networkProtocol | ) | `[inline]`

Protocol to use when attempting to boot the virtual machine over the network.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetRetry | ( | bool? | retry | ) | `[inline]`

Flag indicating whether the virtual machine should automatically retry the boot process after a failure.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetRetryDelay | ( | long? | retryDelay | ) | `[inline]`

Delay in milliseconds before retrying the boot process after a failure; applicable only when Boot.Info.retry is true.

void vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::SetType | ( | vmware.vcenter.vm.hardware.BootTypes.Type | type | ) | `[inline]`

Firmware type to be used by the virtual machine.

override string vmware::vcenter::vm::hardware::BootTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- BootTypes.cs